Target framework for Click-Twice installer

Add-in Express™ Support Service
That's what is more important than anything else

Target framework for Click-Twice installer
Click-Twice installer is failing on XP machines without .NET Framework 2.0 
Gary Garside




Posts: 15
Joined: 2012-10-19
Hi guys,

I'm hoping you can help with a problem we've run in to regarding deployment of the Click-Twice installer.

Our project is targeting .NET Framework 2.0 (we figured this would be the most popular framework installation for our target users, based on statistics around the internet). I set the initial Visual Studio setup file to check for any version of .NET Framework installed on the machine which I believe should work.

As a result, the .msi installer has worked everywhere we've tested it, which is great. However we have now published our app using the Publish ADX Project method, uploaded the Publish folder to our Installation Url and are distributing the projectname.exe file for testing.

On one of our local testing machines, only .NET 4.0C is installed, and the projectname.exe is throwing it an "unable to find a version of the runtime to run this application" error.

Obviously we could simply install .NET 2.0 on this machine to get it working (as it works on a similar copy of XP with .NET 2.0 installed) but this addon will be going out to a large user base and we need it to work multi-platform.

My question is, can you specify that the projectname.exe can use any version of the .NET Framework - much in the same way you can for the addon and the VS setup file themselves?

If not, does anyone have any other method of getting around this problem?

We are developing on a Windows 7 machine using Visual Studio 10, running version 8.1.5065 of Add-In Express. We are testing on multiple variations of Windows 7/Vista/XP and targeting IE7 and upwards.

Many thanks in advance,

Gary
Posted 19 Oct, 2012 03:56:14 Top
Gary Garside




Posts: 15
Joined: 2012-10-19
Managed to solve that issue by actually reading your guides and realising that the first file that should be run is the setup.exe which downloads our pre-requisites for us.

My next question is as follows, I saw in this post by Sergey (2nd comment - http://www.add-in-express.com/forum/read.php?FID=10&TID=9823) that you were adding a LaunchUpdates method which would enable the initial setup.exe to download the projectname.exe file internally without having to fire open a browser window .

Is this something you've managed to achieve yet? My only concern from a user point of view is that there is a lot going on during the installation process, especially if you need pre-requisites installed.

Any advice?

Cheers,

Gary
Posted 19 Oct, 2012 11:02:50 Top
Sergey Grischenko


Add-in Express team


Posts: 7202
Joined: 2004-07-05
Hi Gary,

The LaunchUpdates method will be added to the next build of the product. But it will use the default web browser as well if the product is published with prerequisits. It happens because we use setup.exe built using the 'GenerateBootstrapper' msbuild task. To avoid this requirement we should develop our own bootstrapper application or just re-write the downloader in unmanaged C++.
Posted 19 Oct, 2012 11:18:27 Top